Package org.mariadb.jdbc.client.impl

## Class SocketHelper

- java.lang.Object
- - org.mariadb.jdbc.client.impl.SocketHelper

    public class SocketHelper
    extends Object

### Constructor Summary

Constructors
`SocketHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setSocketOption​(Configuration conf, Socket socket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketHelper

    public SocketHelper()

### Method Detail

#### setSocketOption

    public static void setSocketOption​(Configuration conf,
                                       Socket socket)
                                throws IOException

Throws:
  `IOException`